DatabaseMetaData.IndexMetaDataKey
Date: 2016-03-08

com.mysql.jdbc

## Class DatabaseMetaData.IndexMetaDataKey

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.IndexMetaDataKey

- All Implemented Interfaces:
    java.lang.Comparable<DatabaseMetaData.IndexMetaDataKey>
  Enclosing class:
    DatabaseMetaData

      protected class DatabaseMetaData.IndexMetaDataKey
      extends java.lang.Object
      implements java.lang.Comparable<DatabaseMetaData.IndexMetaDataKey>

  Helper class to provide means of comparing indexes by NON_UNIQUE, TYPE, INDEX_NAME, and ORDINAL_POSITION.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `columnIndexName`
    `(package private) java.lang.Boolean` | `columnNonUnique`
    `(package private) java.lang.Short` | `columnOrdinalPosition`
    `(package private) java.lang.Short` | `columnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaData.IndexMetaDataKey(boolean columnNonUnique, short columnType, java.lang.String columnIndexName, short columnOrdinalPosition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DatabaseMetaData.IndexMetaDataKey indexInfoKey)`
    `boolean` | `equals(java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnNonUnique

          java.lang.Boolean columnNonUnique

    - #### columnType

          java.lang.Short columnType

    - #### columnIndexName

          java.lang.String columnIndexName

    - #### columnOrdinalPosition

          java.lang.Short columnOrdinalPosition

  - ### Constructor Detail

    - #### DatabaseMetaData.IndexMetaDataKey

          DatabaseMetaData.IndexMetaDataKey(boolean columnNonUnique,
                                           short columnType,
                                           java.lang.String columnIndexName,
                                           short columnOrdinalPosition)

  - ### Method Detail

    - #### compareTo

          public int compareTo(DatabaseMetaData.IndexMetaDataKey indexInfoKey)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DatabaseMetaData.IndexMetaDataKey>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`